## consul 1.9.17+dfsg2

=== debian/changelog ===
consul (1.9.17+dfsg2-1) unstable; urgency=medium

  * Team upload
  * d/copyright: do not vendor github.com/hashicorp/vic

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 20 Jul 2023 21:55:47 +0000

consul (1.9.17+dfsg1-1) unstable; urgency=medium

  * Team upload

  [ Daniel Swarbrick ]
  * debian/control: (re-)add missing Build-Depends
  * debian/copyright:
    + re-work Files-Excluded vendoring exceptions
    + updated copyright attribution for vendored packages
  * debian/gbp.conf: update to current team standards
  * debian/watch: switch to git mode
  * debian/consul.docs: update documentation paths to install
  * Add new patches:
    + 03-fix-outdated-grpc-types.patch
    + 04-fix-tlsutil-config-test.patch
  * Bump debhelper-compat version to 13

  [ Martina Ferrari ]
  * New upstream release.
    Closes: #991719, #1006487, #1017982.
    (CVE-2021-32574, CVE-2022-24687, CVE-2022-29152)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 20 Jul 2023 19:36:40 +0000

consul (1.8.7+dfsg1-6) unstable; urgency=medium

  [ vimerbf ]
  * Fix upstream url in uscan watch file.

  [ Reinhard Tartler ]
  * Backport security patches - CVE-2021-37219 - CVE-2021-38698.
    Closes: #1015218

 -- Martina Ferrari <tina@debian.org>  Tue, 23 Aug 2022 13:00:04 -0300

consul (1.8.7+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Ignore more tests which not reliable enough and require further
    investigation.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 10 Apr 2022 20:05:38 -0400

consul (1.8.7+dfsg1-4) unstable; urgency=medium

  * Team upload.

  [ Tianon Gravi ]
  * Team upload.
  * Remove self from Uploaders

  [ Reinhard Tartler ]
  * unbreak protobuf generation, closes: #982931
  * debian/rules: disable DH_GOLANG_GO_GENERATE, closes: #1008396

 -- Reinhard Tartler <siretart@debian.org>  Sun, 10 Apr 2022 17:55:22 -0400
