=== debian/control ===
Source: consul
Section: admin
Priority: optional
Standards-Version: 4.5.1
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
 Martina Ferrari <tina@debian.org>,
 Tim Potter <tpot@hpe.com>,
Build-Depends:
 bash-completion,
 debhelper-compat (= 13),
 dh-golang (>= 1.42~),
 golang-any (>= 2:1.13~),
 golang-github-armon-circbuf-dev,
 golang-github-armon-go-metrics-dev (>= 0.0~git20171117~),
 golang-github-armon-go-radix-dev,
 golang-github-aws-aws-sdk-go-dev,
 golang-github-azure-go-autorest-dev (>= 10.15.5~),
 golang-github-beorn7-perks-dev,
 golang-github-bgentry-speakeasy-dev,
 golang-github-census-instrumentation-opencensus-proto-dev,
 golang-github-circonus-labs-circonus-gometrics-dev (>= 2.3.1~),
 golang-github-circonus-labs-circonusllhist-dev,
 golang-github-coreos-go-oidc-dev,
 golang-github-datadog-datadog-go-dev,
 golang-github-davecgh-go-spew-dev,
 golang-github-denverdino-aliyungo-dev,
 golang-github-docker-go-connections-dev,
 golang-github-elazarl-go-bindata-assetfs-dev,
 golang-github-gogo-protobuf-dev (>= 1.2.1~),
 golang-github-golang-snappy-dev,
 golang-github-google-gofuzz-dev,
 golang-github-googleapis-gnostic-dev,
 golang-github-gophercloud-gophercloud-dev,
 golang-github-hashicorp-go-bexpr-dev,
 golang-github-hashicorp-go-checkpoint-dev,
 golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~),
 golang-github-hashicorp-go-discover-dev,
 golang-github-hashicorp-go-hclog-dev (>= 0.9.2~),
 golang-github-hashicorp-go-immutable-radix-dev (>= 1.1.0~),
 golang-github-hashicorp-go-memdb-dev (>= 1.2.1~),
 golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~),
 golang-github-hashicorp-go-multierror-dev,
 golang-github-hashicorp-go-raftchunking-dev,
 golang-github-hashicorp-go-retryablehttp-dev,
 golang-github-hashicorp-go-rootcerts-dev (>= 1.0.2~),
 golang-github-hashicorp-go-sockaddr-dev,
 golang-github-hashicorp-go-syslog-dev,
 golang-github-hashicorp-go-uuid-dev,
 golang-github-hashicorp-go-version-dev,
 golang-github-hashicorp-golang-lru-dev,
 golang-github-hashicorp-hcl-dev,
 golang-github-hashicorp-hil-dev (>= 0.0~git20160711~),
 golang-github-hashicorp-memberlist-dev (>= 0.3.1~),
 golang-github-hashicorp-net-rpc-msgpackrpc-dev,
 golang-github-hashicorp-raft-boltdb-dev,
 golang-github-hashicorp-raft-dev (>= 1.1.2~),
 golang-github-hashicorp-serf-dev (>= 0.9.5~),
 golang-github-hashicorp-yamux-dev,
 golang-github-imdario-mergo-dev,
 golang-github-json-iterator-go-dev,
 golang-github-kr-text-dev,
 golang-github-mattn-go-isatty-dev,
 golang-github-miekg-dns-dev (>= 1.1.26~),
 golang-github-mitchellh-cli-dev (>= 1.1.1~),
 golang-github-mitchellh-copystructure-dev,
 golang-github-mitchellh-go-testing-interface-dev (>= 1.14.1~),
 golang-github-mitchellh-hashstructure-dev,
 golang-github-mitchellh-mapstructure-dev,
 golang-github-mitchellh-reflectwalk-dev,
 golang-github-nytimes-gziphandler-dev,
 golang-github-packethost-packngo-dev,
 golang-github-pascaldekloe-goe-dev,
 golang-github-patrickmn-go-cache-dev,
 golang-github-pierrec-lz4-dev,
 golang-github-pmezard-go-difflib-dev,
 golang-github-ryanuber-columnize-dev,
 golang-github-ryanuber-go-glob-dev,
 golang-github-shirou-gopsutil-dev,
 golang-github-spf13-pflag-dev,
 golang-go.opencensus-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-time-dev (>= 0.0+git20200630~),
 golang-gopkg-inf.v0-dev,
 golang-gopkg-square-go-jose.v2-dev,
 golang-k8s-sigs-yaml-dev,
 golang-k8s-utils-dev,
 mockery,
#tests:
 procps,
Homepage: https://github.com/hashicorp/consul
Vcs-Browser: https://salsa.debian.org/go-team/packages/consul
Vcs-Git: https://salsa.debian.org/go-team/packages/consul.git
XS-Go-Import-Path: github.com/hashicorp/consul
#Testsuite: autopkgtest-pkg-go

Package: golang-github-hashicorp-consul-dev
Section: golang
Architecture: all
Depends:
 golang-github-armon-go-metrics-dev (>= 0.0~git20171117~),
 golang-github-armon-go-radix-dev,
 golang-github-hashicorp-go-bexpr-dev,
 golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~),
 golang-github-hashicorp-go-hclog-dev (>= 0.9.2~),
 golang-github-hashicorp-go-memdb-dev,
 golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~),
 golang-github-hashicorp-go-rootcerts-dev (>= 1.0.2~),
 golang-github-hashicorp-go-uuid-dev,
 golang-github-hashicorp-golang-lru-dev,
 golang-github-hashicorp-hcl-dev,
 golang-github-hashicorp-hil-dev (>= 0.0~git20160711~),
 golang-github-hashicorp-memberlist-dev (>= 0.3.1~),
 golang-github-hashicorp-raft-boltdb-dev,
 golang-github-hashicorp-raft-dev (>= 1.1.2~),
 golang-github-hashicorp-serf-dev (>= 0.9.5~),
 golang-github-hashicorp-yamux-dev,
 golang-github-inconshreveable-muxado-dev,
 golang-github-miekg-dns-dev (>= 1.1.26~),
 golang-github-mitchellh-cli-dev (>= 1.1.1~),
 golang-github-mitchellh-copystructure-dev,
 golang-github-pascaldekloe-goe-dev,
 golang-golang-x-sys-dev,
 ${misc:Depends},
Description: tool for service discovery, monitoring and configuration (source)
 Consul is a tool for service discovery and configuration. Consul is
 distributed, highly available, and extremely scalable.
 .
 Consul provides several key features:
 .
  - Service Discovery - Consul makes it simple for services to register
    themselves and to discover other services via a DNS or HTTP interface.
    External services such as SaaS providers can be registered as well.
 .
  - Health Checking - Health Checking enables Consul to quickly alert operators
    about any issues in a cluster. The integration with service discovery
    prevents routing traffic to unhealthy hosts and enables service level
    circuit breakers.
 .
  - Key/Value Storage - A flexible key/value store enables storing dynamic
    configuration, feature flagging, coordination, leader election and more.
    The simple HTTP API makes it easy to use anywhere.
 .
  - Multi-Datacenter - Consul is built to be datacenter aware, and can support
    any number of regions without complex configuration.
 .
 Consul runs on Linux, Mac OS X, and Windows. It is recommended to run the
 Consul servers only on Linux, however.
 .
 This package contains the source.

Package: consul
Architecture: any
Built-Using:
 ${misc:Built-Using},
Depends:
 adduser,
 pipexec,
 procps,
 ${misc:Depends},
 ${shlibs:Depends},
Description: tool for service discovery, monitoring and configuration
 Consul is a tool for service discovery and configuration. Consul is
 distributed, highly available, and extremely scalable.
 .
 Consul provides several key features:
 .
  - Service Discovery - Consul makes it simple for services to register
    themselves and to discover other services via a DNS or HTTP interface.
    External services such as SaaS providers can be registered as well.
 .
  - Health Checking - Health Checking enables Consul to quickly alert operators
    about any issues in a cluster. The integration with service discovery
    prevents routing traffic to unhealthy hosts and enables service level
    circuit breakers.
 .
  - Key/Value Storage - A flexible key/value store enables storing dynamic
    configuration, feature flagging, coordination, leader election and more.
    The simple HTTP API makes it easy to use anywhere.
 .
  - Multi-Datacenter - Consul is built to be datacenter aware, and can support
    any number of regions without complex configuration.
 .
 Consul runs on Linux, Mac OS X, and Windows. It is recommended to run the
 Consul servers only on Linux, however.
