=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, repacksuffix=+dfsg1, \
      dversionmangle=s{[~+](?:ds|dfsg)\d*$}{}" \
  https://github.com/hashicorp/consul refs/tags/v?@ANY_VERSION@ debian
