=== debian/changelog ===
consul (1.10.12+dfsg1-1ubuntu0.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 18 Jan 2024 12:06:34 +0530

consul (1.10.12+dfsg1-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:30 +1200

consul (1.10.12+dfsg1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Refresh patches
  * Bump golang-github-hashicorp-raft-dev version constraint to >= 1.3.0~

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 22 Jul 2023 15:51:28 +0000
