=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: admin
 Priority: optional
 Standards-Version: 4.5.1
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders:
  Dmitry Smirnov <onlyjob@debian.org>,
  Martina Ferrari <tina@debian.org>,
@@ -55,7 +56,7 @@
  golang-github-hashicorp-memberlist-dev (>= 0.3.1~),
  golang-github-hashicorp-net-rpc-msgpackrpc-dev,
  golang-github-hashicorp-raft-boltdb-dev,
- golang-github-hashicorp-raft-dev (>= 1.1.2~),
+ golang-github-hashicorp-raft-dev (>= 1.3.0~),
  golang-github-hashicorp-serf-dev (>= 0.9.5~),
  golang-github-hashicorp-yamux-dev,
  golang-github-imdario-mergo-dev,
@@ -113,7 +114,7 @@
  golang-github-hashicorp-hil-dev (>= 0.0~git20160711~),
  golang-github-hashicorp-memberlist-dev (>= 0.3.1~),
  golang-github-hashicorp-raft-boltdb-dev,
- golang-github-hashicorp-raft-dev (>= 1.1.2~),
+ golang-github-hashicorp-raft-dev (>= 1.3.0~),
  golang-github-hashicorp-serf-dev (>= 0.9.5~),
  golang-github-hashicorp-yamux-dev,
  golang-github-inconshreveable-muxado-dev,
